package com.fjhx.sale.service.claim;

import com.fjhx.sale.entity.claim.po.Claim;
import com.fjhx.sale.entity.claim.po.ClaimContract;
import com.fjhx.sale.entity.claim.vo.ClaimContractVo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.claim.vo.ClaimVo;
import com.fjhx.sale.entity.claim.dto.ClaimSelectDto;
import com.fjhx.sale.entity.claim.dto.ClaimDto;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;


/**
 * <p>
 * 到账认领 服务类
 * </p>
 *
 * @author
 * @since 2023-04-18
 */
public interface ClaimService extends BaseService<Claim> {

    /**
     * 到账认领分页
     */
    Page<ClaimVo> getPage(ClaimSelectDto dto);

    /**
     * 到账认领明细
     */
    ClaimVo detail(Long id);

    /**
     * 到账认领新增
     */
    void add(Claim claim);

    /**
     * 到账认领编辑
     */
    void edit(ClaimDto claimDto);

    /**
     * 到账认领删除
     */
    void delete(Long id);

    /**
     * 查询已认领金额
     */
    BigDecimal sumClaimMoney(Long businessId);

    /**
     * 查询认领记录
     */
    List<ClaimContractVo> claimRecord(Long businessId);

    /**
     *
     * @param id 流水ID
     * @return
     */
    Map<String,Object> claimDetail(Long id);
}
